//+------------------------------------------------------------------+
//|                                                           A4.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"


//+------------------------------------------------------------------+
//| extern input parameters                                          |
//+------------------------------------------------------------------+

extern int Slippage=5;
extern double ProfitDiff=0.0001;
extern int LotDiff=1000000;
//EURUSD01 sell
extern int MagicNumber_102=102000;
//***************************************************************************

//EURUSD01 sell
extern bool EURUSD01_sell_ok=true;

//***************************************************************************


double dXPoint=1;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+

int init()
  {
//----

if (Digits==3||Digits==5)
{
dXPoint=10;
}

if (Digits==3||Digits==5)
{
dXPoint=10;
int SLIPPAGE=SLIPPAGE*dXPoint;
} 
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+

int deinit()
  {
//----
   
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+

int start()
  {

      {

//EURUSD01 sell
      startLookingForProfits(MagicNumber_102);
      }

   if (AccountEquity()<=AccountBalance() && Minute()==00)
{
   OrderSend("EURUSD",OP_SELL,AccountBalance()/LotDiff,MarketInfo("EURUSD",MODE_BID),Slippage,0,0,"EURUSD01 sell",MagicNumber_102,0,CLR_NONE);
   Sleep(120000);

}


//********************************************************************************************


   return(0);   
      
}
int startLookingForProfits(int MagicNumber)
  {
   int ProfitTarget=AccountBalance()*ProfitDiff;
   double dblProfit=0;
   int POS=0;
   bool boolTerm=false;
   while(boolTerm==false)
     {
      if(OrderSelect(POS,SELECT_BY_POS))
        {
         if(OrderMagicNumber()==MagicNumber) dblProfit=dblProfit+OrderProfit();
         POS++;
        }
      else
         boolTerm=true;
     }
   if(dblProfit>=ProfitTarget)
     {
      for(int i=OrdersTotal()-1;i>=0;i--)
        {
         OrderSelect(i,SELECT_BY_POS);
         if(OrderMagicNumber()==MagicNumber)
           {
            int type=OrderType();
            bool result=false;

            switch(type)
              {
               //Close opened long positions
               case OP_BUY  : 
                  result=OrderClose(OrderTicket(),OrderLots(),MarketInfo(OrderSymbol(),MODE_BID),Slippage,Red);
               break;

               //Close opened short positions
               case OP_SELL : 
                  result=OrderClose(OrderTicket(),OrderLots(),MarketInfo(OrderSymbol(),MODE_ASK),Slippage,LimeGreen);
               break;
              }

            if(result==false)
              {
               Sleep(1000);
              }
           }
        }
      Print("Profit Target For MagicNumber based Trades Reached & They have been Closed");
      return(0);
     }
   return(0);
  }